Skip to main content
GET
List managed transactions

Authorizations

Authorization
string
header
required

To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request: -H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Path Parameters

account_guid
string
required

The unique id for an account.

member_guid
string
required

The unique id for a member.

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

Query Parameters

page
integer

Results are paginated. Specify current page.

from_date
string

Filter transactions from this date. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Defaults to 120 days ago if not provided.

to_date
string

Filter transactions to this date (at midnight). This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Defaults to 5 days forward from the day the request is made to capture pending transactions.

records_per_page
integer

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.

Response

410

Gone. This endpoint was sunset on 2026-09-29 and no longer returns data — it responds with 410 Gone on all API versions. See Deprecations.